/* qDSed arm7_main.c QRT071001 */

#include <nds.h>
#include "reboot.h"

void VblankHandler(void);

//------------------------------------------------------------------------------

int main()
{
    powerON(POWER_SOUND);
    
    irqInit();
    irqSet(IRQ_VBLANK, VblankHandler);
    irqEnable(IRQ_VBLANK);
    
    while(1){
        if(need_reboot())
            reboot();
    
        swiWaitForVBlank();
    }
}

//------------------------------------------------------------------------------

void VblankHandler()
{
u16 but=0, x=0, y=0, xpx=0, ypx=0, z1=0, z2=0;
    
    but = REG_KEYXY;
    
    if(!(but & (1<<6))){
        touchPosition tempPos = touchReadXY();
        x = tempPos.x;
        y = tempPos.y;
        xpx = tempPos.px;
        ypx = tempPos.py;
    }

    z1 = touchRead(TSC_MEASURE_Z1);
    z2 = touchRead(TSC_MEASURE_Z2);
    
    IPC->buttons  = but;
    IPC->touchX   = x;
    IPC->touchY   = y;
    IPC->touchXpx = xpx;
    IPC->touchYpx = ypx;
    IPC->touchZ1  = z1;
    IPC->touchZ2  = z2;
}





